<?php

require_once('tache.php');

class TacheGateway
{

    
    private $con; 

    public function __construct(Connection $con){ 
        $this->con = $con; 
    } 

    public function insert(Tache $t, int $idList): void{
        $query = "INSERT INTO Tache VALUES (null, :name, :content, :completed, :idList)";
        $this->con->executeQuery($query, array(':name' => array($t->getName(), PDO::PARAM_STR), ':content' => array($t->getContent(), PDO::PARAM_STR), ':completed' => array($t->getCompleted(), PDO::PARAM_BOOL), ':idList' => array($idList, PDO::PARAM_INT)));
    }

    public function getTacheFromIdList(int $id): array{
        $tabTaches=[];
        $query = "SELECT * FROM Tache t where idListe=:id";
        $this->con->executeQuery($query, array(':id' => array($id, PDO::PARAM_INT)));
        $results=$this->con->getResults();
        foreach ($results as $row) {
            $tabTaches[]=new Tache($row['id'], $row['name'], $row['content'], $row['completed']);
        }
        return $tabTaches;
    }

/*
    public function findByName(string $name): array{
        if (!empty($name)){
            $query = "SELECT * FROM Tache WHERE name=:name";
            $this->con->executeQuery($query, array(':name' => array($name, PDO::PARAM_STR)));

            $results=$con->getResults();
            foreach ($results as $row ) {
                $tabTaches[]=new Tache($row['id'], $row['name'], $row['content']);
            }
            return $tabTaches;
        }
    }
*/
}

?>